> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wander-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Dynamic search

> Search for event or place or performer. You can use it for a searchbar.



## OpenAPI

````yaml api-reference/openapi.json get /v2/search
openapi: 3.1.0
info:
  title: Wander - API partners
  description: >-
    This API, developed by Wander, allows partner applications to access
    Wander's event data. Authentication, provided by the Wander team, is
    required to use this API. If you are interested in utilizing this API,
    please contact us at: support-api@wander-app.fr.


    **Last update: 2025-03-03**
  termsOfService: https://wander-app.fr/api/terms-of-use
  contact:
    email: support-api@wander-app.fr
  version: 1.0.0
servers:
  - url: https://www.wander-service.fr/api/clients
security: []
tags:
  - name: Clients' login
    description: It requires a clientId & clientSecret or a refreshToken
  - name: Direct Event Data Serving
    description: It requires a client's accessToken
  - name: Event Data Fetching and Storage
    description: It requires a client's accessToken
  - name: Client Data
    description: It requires a client's accessToken
paths:
  /v2/search:
    get:
      tags:
        - Direct Event Data Serving
      summary: Dynamic search
      description: Search for event or place or performer. You can use it for a searchbar.
      parameters:
        - name: searchInput
          in: query
          required: true
          schema:
            type: string
        - name: location[lng]
          description: The coordinates [lng, lat] around which you are searching
          in: query
          required: false
          schema:
            type: number
        - name: location[lat]
          description: The coordinates [lng, lat] around which you are searching
          in: query
          required: false
          schema:
            type: number
        - name: responseFilter
          in: query
          required: false
          schema:
            type: string
            enum:
              - events
              - places
              - performers
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - type: object
                      properties:
                        event:
                          description: Event object returned with '/search'
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: integer
                              format: int64
                              examples:
                                - 100000
                            wanderId:
                              type: integer
                              format: int64
                              examples:
                                - 100000
                            name:
                              type: string
                              examples:
                                - PLK en concert
                            startDate:
                              type: string
                              examples:
                                - 2024-03-03 06:08:23.222 +0100
                            endDate:
                              type: string
                              examples:
                                - 2024-03-04 06:08:23.222 +0100
                            hasEndDateNotReliable:
                              type: boolean
                            lowestPrice:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The lowest price for the event in euros. If it's
                                null, we don't know the price
                              examples:
                                - 0
                            highestPrice:
                              type:
                                - number
                                - 'null'
                              description: >-
                                The highest price for the event in euros. If
                                it's null, we don't know the price
                              examples:
                                - 200
                            description:
                              type: string
                              examples:
                                - Un super concert de PLK à l'accor arena !
                            image:
                              type:
                                - string
                                - 'null'
                            squareImage:
                              type:
                                - string
                                - 'null'
                            rectangleImage:
                              type:
                                - string
                                - 'null'
                            place:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  format: int64
                                  examples:
                                    - 10
                                name:
                                  type: string
                                  examples:
                                    - Accor Arena
                                address:
                                  type: object
                                  properties:
                                    lng:
                                      type: number
                                      examples:
                                        - 2.123909
                                    lat:
                                      type: number
                                      examples:
                                        - 42.32981038
                                    street:
                                      type:
                                        - string
                                        - 'null'
                                      examples:
                                        - Rue Saint-Jacques
                                    city:
                                      type:
                                        - string
                                        - 'null'
                                      examples:
                                        - Paris
                                    postalCode:
                                      type:
                                        - string
                                        - 'null'
                                      examples:
                                        - 75005
                                    country:
                                      type:
                                        - string
                                        - 'null'
                                      examples:
                                        - France
                            averageGrade:
                              description: >-
                                During integration, we also retrieve all the
                                comments/grades made about the event.
                                ‘AverageGrade’ is simply the average of these
                                ratings.
                              type:
                                - number
                                - 'null'
                              examples:
                                - 5
                            totalGrades:
                              description: >-
                                During integration, we also retrieve all the
                                comments/grades made about the event.
                                'nbOfGrades' is simply the number of these
                                ratings.
                              type: number
                              examples:
                                - 1
                            categories:
                              description: >-
                                It's an array of all the categories of the
                                event. Some of these objects are
                                ‘sub-categories’ and others are 'main
                                categories'. For a main category, ‘name’ is
                                null, while for a sub-category, ‘name’ is not
                                null and ‘mainCategory’ has the same value as
                                the main category.
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: number
                                    format: int64
                                    examples:
                                      - 1
                                  name:
                                    description: >-
                                      If it's null, it's a main category,
                                      otherwise it's a sub-category of the main
                                      category.
                                    type:
                                      - string
                                      - 'null'
                                    examples:
                                      - painting
                                  mainCategory:
                                    type: string
                                    examples:
                                      - expo
                                  traductionFR:
                                    type: string
                                    examples:
                                      - peinture
                                  traductionEN:
                                    type: string
                                    examples:
                                      - painting
                                  icon:
                                    type: string
                            score:
                              type: number
                              description: Search score
                    - type: object
                      properties:
                        place:
                          description: Place object returned with '/search'
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: integer
                              format: int64
                              examples:
                                - 10
                            name:
                              type: string
                              examples:
                                - Accor Arena
                            address:
                              type: object
                              properties:
                                lng:
                                  type: number
                                  examples:
                                    - 2.123909
                                lat:
                                  type: number
                                  examples:
                                    - 42.32981038
                                street:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Rue Saint-Jacques
                                city:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Paris
                                postalCode:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - 75005
                                country:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - France
                            image:
                              type:
                                - string
                                - 'null'
                            squareImage:
                              type:
                                - string
                                - 'null'
                            rectangleImage:
                              type:
                                - string
                                - 'null'
                            score:
                              type: number
                              description: Search score
                    - type: object
                      properties:
                        performer:
                          description: Performer object returned with '/search'
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: integer
                              format: int64
                              examples:
                                - 10
                            name:
                              type: string
                              examples:
                                - PLK
                            description:
                              type:
                                - string
                                - 'null'
                            image:
                              type:
                                - string
                                - 'null'
                            squareImage:
                              type:
                                - string
                                - 'null'
                            rectangleImage:
                              type:
                                - string
                                - 'null'
                            isCertified:
                              type: boolean
                            score:
                              type: number
                              description: Search score
            application/xml:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    event:
                      description: Event object returned with '/search'
                      type:
                        - object
                        - 'null'
                      properties:
                        id:
                          type: integer
                          format: int64
                          examples:
                            - 100000
                        wanderId:
                          type: integer
                          format: int64
                          examples:
                            - 100000
                        name:
                          type: string
                          examples:
                            - PLK en concert
                        startDate:
                          type: string
                          examples:
                            - 2024-03-03 06:08:23.222 +0100
                        endDate:
                          type: string
                          examples:
                            - 2024-03-04 06:08:23.222 +0100
                        hasEndDateNotReliable:
                          type: boolean
                        lowestPrice:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The lowest price for the event in euros. If it's
                            null, we don't know the price
                          examples:
                            - 0
                        highestPrice:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The highest price for the event in euros. If it's
                            null, we don't know the price
                          examples:
                            - 200
                        description:
                          type: string
                          examples:
                            - Un super concert de PLK à l'accor arena !
                        image:
                          type:
                            - string
                            - 'null'
                        squareImage:
                          type:
                            - string
                            - 'null'
                        rectangleImage:
                          type:
                            - string
                            - 'null'
                        place:
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int64
                              examples:
                                - 10
                            name:
                              type: string
                              examples:
                                - Accor Arena
                            address:
                              type: object
                              properties:
                                lng:
                                  type: number
                                  examples:
                                    - 2.123909
                                lat:
                                  type: number
                                  examples:
                                    - 42.32981038
                                street:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Rue Saint-Jacques
                                city:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Paris
                                postalCode:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - 75005
                                country:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - France
                        averageGrade:
                          description: >-
                            During integration, we also retrieve all the
                            comments/grades made about the event. ‘AverageGrade’
                            is simply the average of these ratings.
                          type:
                            - number
                            - 'null'
                          examples:
                            - 5
                        totalGrades:
                          description: >-
                            During integration, we also retrieve all the
                            comments/grades made about the event. 'nbOfGrades'
                            is simply the number of these ratings.
                          type: number
                          examples:
                            - 1
                        categories:
                          description: >-
                            It's an array of all the categories of the event.
                            Some of these objects are ‘sub-categories’ and
                            others are 'main categories'. For a main category,
                            ‘name’ is null, while for a sub-category, ‘name’ is
                            not null and ‘mainCategory’ has the same value as
                            the main category.
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                                format: int64
                                examples:
                                  - 1
                              name:
                                description: >-
                                  If it's null, it's a main category, otherwise
                                  it's a sub-category of the main category.
                                type:
                                  - string
                                  - 'null'
                                examples:
                                  - painting
                              mainCategory:
                                type: string
                                examples:
                                  - expo
                              traductionFR:
                                type: string
                                examples:
                                  - peinture
                              traductionEN:
                                type: string
                                examples:
                                  - painting
                              icon:
                                type: string
                        score:
                          type: number
                          description: Search score
                    place:
                      description: Place object returned with '/search'
                      type:
                        - object
                        - 'null'
                      properties:
                        id:
                          type: integer
                          format: int64
                          examples:
                            - 10
                        name:
                          type: string
                          examples:
                            - Accor Arena
                        address:
                          type: object
                          properties:
                            lng:
                              type: number
                              examples:
                                - 2.123909
                            lat:
                              type: number
                              examples:
                                - 42.32981038
                            street:
                              type:
                                - string
                                - 'null'
                              examples:
                                - Rue Saint-Jacques
                            city:
                              type:
                                - string
                                - 'null'
                              examples:
                                - Paris
                            postalCode:
                              type:
                                - string
                                - 'null'
                              examples:
                                - 75005
                            country:
                              type:
                                - string
                                - 'null'
                              examples:
                                - France
                        image:
                          type:
                            - string
                            - 'null'
                        squareImage:
                          type:
                            - string
                            - 'null'
                        rectangleImage:
                          type:
                            - string
                            - 'null'
                        score:
                          type: number
                          description: Search score
                    performer:
                      description: Performer object returned with '/search'
                      type:
                        - object
                        - 'null'
                      properties:
                        id:
                          type: integer
                          format: int64
                          examples:
                            - 10
                        name:
                          type: string
                          examples:
                            - PLK
                        description:
                          type:
                            - string
                            - 'null'
                        image:
                          type:
                            - string
                            - 'null'
                        squareImage:
                          type:
                            - string
                            - 'null'
                        rectangleImage:
                          type:
                            - string
                            - 'null'
                        isCertified:
                          type: boolean
                        score:
                          type: number
                          description: Search score
        '400':
          description: Invalid query schema
        '401':
          description: Access token is missing or invalid
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: It is the "access_token" returned after login

````